com.qihoo.videocloud

## Class QHVCPlayerPlugin

- java.lang.Object
- - com.qihoo.livecloud.plugin.ILiveCloudPlugin
  - - com.qihoo.livecloud.plugin.ILiveCloudPluginEx
    - - com.qihoo.videocloud.QHVCPlayerPlugin

- All Implemented Interfaces:
    LiveCloudPluginConstant

      public class QHVCPlayerPlugin
      extends ILiveCloudPluginEx

  播放器so动态加载

  Created by LeiXiaojun on 2017/8/29.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.qihoo.livecloud.plugin.ILiveCloudPlugin

      `ILiveCloudPlugin.PluginCallback, ILiveCloudPlugin.PluginDownloadCallback, ILiveCloudPlugin.PluginDownloadListener`

  - ### Field Summary

    - ### Fields inherited from interface com.qihoo.livecloud.plugin.LiveCloudPluginConstant

      `DT_INSTALL, DT_UPDATE, ERROR_CANCEL, ERROR_CONFIG_DOWNLOAD_FAILED, ERROR_CONFIG_PARSE_FAILED, ERROR_DEPENDENT_PLUGIN_LOAD_FAILED, ERROR_DEPENDENT_PLUGIN_NOT_INSTALL, ERROR_INSTALL_RUNNING, ERROR_LOCAL_UPDATE_FAILED, ERROR_LOCAL_UPDATE_OLD_LOADED, ERROR_NO_SPACES, ERROR_NOT_INSTALL, ERROR_PLUGIN_DELETE_FAILED, ERROR_PLUGIN_LOAD_FAILED, ERROR_SUCCESS, ERROR_UNKNOWN, ERROR_ZIP_DOWNLOAD_FAILED, ERROR_ZIP_FILE_DISMATCH, ERROR_ZIP_MD5_DISMATCH, ERROR_ZIP_UNZIP_FAILED, TAG, V_2_0_1, V_2_0_2, V_2_0_9, V_2_1_1, V_2_2_0`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QHVCPlayerPlugin` | `getInstance()`
    `java.lang.String` | `getPlayerPluginType()` 获取播放器插件类型
    `void` | `setDefaultPluginInstalled(boolean defaultPluginInstalled)` 设置是否自带插件
    `void` | `setPlayerPluginType(java.lang.String ffmpegType)` 设置播放器插件类型，默认为标准版本 注意：该接口需要在`ILiveCloudPluginEx.loadPlugin()`接口前调用方可生效

    - ### Methods inherited from class com.qihoo.livecloud.plugin.ILiveCloudPluginEx

      `checkInstallPlugin, isDefaultPluginInstalled, isPluginInstalled, isPluginValid, loadPlugin, setDependenciesPluginList`

    - ### Methods inherited from class com.qihoo.livecloud.plugin.ILiveCloudPlugin

      `backgroundInstallOrUpdatePlugin, cancelInstallOrUpdatePlugin, checkInstallOrUpdatePlugin, checkInstallOrUpdatePlugin, checkInstallPlugin, checkUninstallPlugin, checkUpdatePlugin, getPluginSize, getPluginVersion, getTag, isPluginLoaded, removePlugin, setPluginDownloadListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static QHVCPlayerPlugin getInstance()

    - #### getPlayerPluginType

          public java.lang.String getPlayerPluginType()

      获取播放器插件类型
      Returns:
        播放器插件类型，参见`QHVCFFmpegPlugin.TYPE_FFMPEG_DEC_LITE`等 null: 系统播放器

    - #### setPlayerPluginType

          public void setPlayerPluginType(java.lang.String ffmpegType)

      设置播放器插件类型，默认为标准版本
      注意：该接口需要在`ILiveCloudPluginEx.loadPlugin()`接口前调用方可生效
      Parameters:
        `ffmpegType` - 播放器插件类型，参见`QHVCFFmpegPlugin.TYPE_FFMPEG_DEC_LITE`等

    - #### setDefaultPluginInstalled

          public void setDefaultPluginInstalled(boolean defaultPluginInstalled)

      Description copied from class: `ILiveCloudPlugin`
      设置是否自带插件
      Overrides:
        `setDefaultPluginInstalled` in class `ILiveCloudPluginEx`
      Parameters:
        `defaultPluginInstalled` - true自带，false不自带